Comment 317 for bug 1372609

Pilot6 (hanipouspilot) wrote :

For all Ubuntu 14.04 users a temporary instruction how to install dkms driver.

sudo add-apt-repository ppa:canonical-kernel-team/ppa
sudo apt-get update
sudo apt-get install linux-generic-lts-vivid
sudo add-apt-repository -r ppa:canonical-kernel-team/ppa

We install linux-generic-lts-vivid from maintainers ppa and remove this repository, because this package will be in main.
Then reboot and install the driver.

sudo add-apt-repository ppa:hanipouspilot/focaltech-dkms
sudo apt-get update
sudo apt-get install focaltech-dkms

After reboot touchpad must work.

If everything works OK, I would recomend to remove linux-image-generic-lts-utopic and linux-headers-generic-lts-utopic packages. If you do not do it, 3.16 kernels will install updates and error will be reported, because the driver will not build.

For those who have 3.13 linux-image-generic and linux-headers-generic should be removed.